Bug 1002193 - Remove spacewalk-backend-libs dep for rhncfg-* packages
Remove spacewalk-backend-libs dep for rhncfg-* packages
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Clients (Show other bugs)
2.0
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Stephen Herr
Red Hat Satellite QA List
:
Depends On: 1002081
Blocks: space21
  Show dependency treegraph
 
Reported: 2013-08-28 11:19 EDT by Stephen Herr
Modified: 2014-03-04 08:09 EST (History)
1 user (show)

See Also:
Fixed In Version: rhncfg-5.10.56-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1002081
Environment:
Last Closed: 2014-03-04 08:08:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Herr 2013-08-28 11:19:50 EDT
+++ This bug was initially created as a clone of Bug #1002081 +++

rhncfg requires spacewalk-backend-libs just to get two small string-building methods (that should never really change). It's an extra rpm that people have to install, plus it adds a requirement that spacewalk-backend-libs must always be available from the same repo / channel as rhncfg. Let's just duplicate the methods and remove the dependency.
Comment 1 Stephen Herr 2013-08-28 11:55:06 EDT
Committing to Spacewalk master:
1b384f6f5cbe1a6769a2696b5417471af38a150b
Comment 2 Matej Kollar 2014-01-17 07:15:49 EST
Switching MODIFIED Spacewalk bugs to ON_QA before 2.1 release.
Comment 3 Matej Kollar 2014-03-04 08:08:04 EST
Spacewalk 2.1 has been released.
https://fedorahosted.org/spacewalk/wiki/ReleaseNotes21
Comment 4 Matej Kollar 2014-03-04 08:09:00 EST
Spacewalk 2.1 has been released.
https://fedorahosted.org/spacewalk/wiki/ReleaseNotes21

Note You need to log in before you can comment on or make changes to this bug.